//
//  DrixellasView.h
//  DrixellasDilemma
//
//  Created by Vince on 8/15/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import "GameBoardView.h"
#include "DrixellasConstants.h"

#define MAX_GROW_FRAMES	5

@class DrixellasDilemma; 

@interface DrixellasView : GameBoardView 
{
	DrixellasDilemma*	controller;		//!< The UI shell that controls the game. 
	
	NSImage*	shapeTiles[NUM_TILE_TYPES][MAX_GROW_FRAMES];	//!< Images to use as the symbol for the game pieces. 
	NSImage*	colorTiles[NUM_TILE_TYPES][MAX_GROW_FRAMES];	//!< Images to use as the color for the game pieces. 
//	NSImage*	backgroundTile;				//!< Background tiles used to draw the board. 
//	NSImage*	highlightImage; 
//	NSImage*	gamePausedImage; 
	NSImage*	hintImage[MAX_GROW_FRAMES]; 
	NSSound*	tilePlacedSound; 
	NSPoint		highlightSquare; 
	BOOL		displayHints; 
	BOOL		suspended;
	
	NSTimer*	vfxTimer;
	
	UInt32		hintFrameIndex; 
	SInt32		prevHintFrameIndex; 
	NSSize		hintImageSize; 
	
	float		tokenOpacity; 
	NSPoint		locationLastPlayed; 
}

- (void)setupGameBoard: (DrixellasDilemma *)controller_;
- (NSImage *)nextPieceToPlay; 
- (void)loadTileImages; 
- (void)displayHints: (BOOL)display; 
- (void)startAvailableMovesVisualEffects; 
- (void)updateVisualEffects; 
- (void)unsuspendGame;
- (BOOL)gameSuspended;

@end
